<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
<HEAD><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>TextGrid Content Types</title>
<style type="text/css">@import url("file:/opt/eclipse/plugins/org.eclipse.epp.package.standard_4.4.2.20150219-0708/book.css");</style>
<style type="text/css">@import url("file:/home/tv/.eclipse/org.eclipse.platform_4.4.2_1473617060_linux_gtk_x86_64/configuration/org.eclipse.osgi/207/0/.cp/schema.css");</style>
</HEAD>
<BODY>
<H1 style="text-align:center">TextGrid Content Types</H1>
<p></p>
<h6 class="CaptionFigColumn SchemaHeader">Identifier: </h6>info.textgrid.lab.core.model.contentTypes<p></p>
<h6 class="CaptionFigColumn SchemaHeader">Since: </h6>0.0.2
<p></p>

<h6 class="CaptionFigColumn SchemaHeader">Description: </h6>Defines content types for the TextGridLab. 

<p>TextGrid's core metadata scheme requires a content type field (like a mime type) in the object's administrative metadata. If you would like to handle objects of a certain kind in the TextGridLab,
you should provide an extension to this extension point describing your schema.</p>

<p>If you would like your content type to appear in the New Object dialogue, make sure to also define a contribution using the corresponding extension type.</p><p></p>
<h6 class="CaptionFigColumn SchemaHeader">Configuration Markup:</h6>
<p></p>
<p class="code SchemaDtd">&lt;!ELEMENT <a name="e.extension">extension</a> (<a href="#e.contentType">contentType</a>+)&gt;</p>
<p class="code SchemaDtd">&lt;!ATTLIST extension</p>
<p class="code SchemaDtdAttlist">point&nbsp;CDATA #REQUIRED</p>
<p class="code SchemaDtdAttlist">id&nbsp;&nbsp;&nbsp;&nbsp;CDATA #IMPLIED</p>
<p class="code SchemaDtdAttlist">name&nbsp;&nbsp;CDATA #IMPLIED&gt;</p>
<p></p>
<ul class="ConfigMarkupAttlistDesc">
</ul>
<br><p class="code SchemaDtd">&lt;!ELEMENT <a name="e.contentType">contentType</a> EMPTY&gt;</p>
<p class="code SchemaDtd">&lt;!ATTLIST contentType</p>
<p class="code SchemaDtdAttlist">name&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;CDATA #REQUIRED</p>
<p class="code SchemaDtdAttlist">typeID&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;CDATA #REQUIRED</p>
<p class="code SchemaDtdAttlist">additionalContentTypePattern&nbsp;CDATA #IMPLIED</p>
<p class="code SchemaDtdAttlist">eclipseContentType&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;IDREF #IMPLIED</p>
<p class="code SchemaDtdAttlist">extension&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;CDATA #IMPLIED</p>
<p class="code SchemaDtdAttlist">internal&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(true | false) "false"</p>
<p class="code SchemaDtdAttlist">image&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;CDATA #IMPLIED</p>
<p class="code SchemaDtdAttlist">creatable&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(true | false) "true"&gt;</p>
<p></p>
<ul class="ConfigMarkupAttlistDesc">
<li><b>name</b> - Translatable name for this content type (will be displayed to the user)</li>
<li><b>typeID</b> - The content type string that appears in the TextGridObject's administrative metadata field for newly created objects. This should be of a form like "text/xml" or "text/tg.projectfile+xml".</li>
<li><b>additionalContentTypePattern</b> - A regular expression matching additional content type strings that should be treated as this content type.</li>
<li><b>eclipseContentType</b> - The Eclipse content type to map to. This might be used to find editors etc.</li>
<li><b>extension</b> - File extension to add to the local file names for this content type, excluding the leading dot. E.g., "xml".</li>
<li><b>internal</b> - Internal content types don't show up in dialogs where the user can set a content type (like the New Object wizard).</li>
<li><b>image</b> - An (optional) icon used for objects of this content type. If you don't specify an icon here, the implementation will try to identify the default editor to use with objects of this type and use the icon of that.</li>
<li><b>creatable</b> - If true (the default), this content type will be supported in the Lab's new object dialog. 

Clients who do not set this to false must ensure that there is an editor for this.</li>
</ul>
<br><h6 class="CaptionFigColumn SchemaHeader">Examples: </h6>An example can be found in the XML editor (see info.textgrid.lab.xmleditor.mpeditor). I will add it here as soon as the interface is somewhat fixed.

<pre class="Example"><span class="code SchemaTag">
</span></pre>
<p></p>

<h6 class="CaptionFigColumn SchemaHeader">API Information: </h6>Clients can use <code>TGContentType</code>'s static methods to get a list of available content types or an object representing a specific content type.
<p></p>

<br>
<p class="note SchemaCopyright">
Written 2008 by Thorsten Vitt for <a href="http://www.textgrid.info/">TextGrid</a>.

</p>
</BODY>
</HTML>
